Check the status of a task to fetch/upload a file from a URL
The endpoint notifies about the progress of the task by changing the value of the status field:
- the field is set to
waitinginitially - once the system starts processing the request, the field is set to
progress - if the file is fetched and uploaded successfully, the
statusfield is set tosuccessand the endpoint returns a JSON object holding information about the uploaded file - if the system fails to fetch/upload the file, the
statusfield is set toerrorand theerrorfield is set to the cause of the error.
Query parameters
token
Token returned by the /from_url/ endpoint that identifies a request to fetch/upload a file from a URL.
Response
Request was processed successfully.
fileUploadInfoSuccessStatus
OR
fileUploadInfoWaitingStatus
OR
fileUploadInfoProgressStatus
OR
fileUploadInfoErrorStatus
OR
fileUploadInfoUnknownStatus